%define name wmsound
%define version 0.9.4
%define release TRi-2

%define builddir $RPM_BUILD_DIR/%{name}-%{version}
%define wmdir /usr/share/WindowMaker
%define sysconfdir /usr/etc/WindowMaker
%define snddevice /dev/dsp

Summary: Window Maker sound server
Summary(de): Window Maker Sound Server Programm
Summary(fr): Serveur de son de Window Maker
Summary(no): Window Maker lydtjener.

Name: %{name}
Version: %{version}
Release: %{release}
Group: X11/Window Managers/Tools
Copyright: GPL
Vendor: Anthony Quinn <southgat@frontiernet.net>
Source: http://www.frontiernet.net/~southgat/wmsound/download/%{name}-%{version}.tar.gz
Source1: http://www.frontiernet.net/~southgat/wmsound/download/wmsdefault.tar.gz
Source2: wmsound-soundset
Patch: %{name}-%{version}-TRi.patch
Buildroot: /tmp/%{name}-%{version}-%{release}-root
Requires: WindowMaker >= 0.51.1

%changelog
* Sun Mar 21 1999 Thomas Ribbrock <emgaron@gmx.net> [0.9.4-TRi-2]
- fixed bug in Install: WMSound default file now uses "SoundSetPath"
  instead of "SoundSetsPath". The latter confuses WSoundPrefs.

* Sun Mar 21 1999 Thomas Ribbrock <emgaron@gmx.net> [0.9.4-TRi-1]
- upgraded to 0.9.4, built with WindowMaker-0.51.2-nls-2 rpm
- fixed bug in wmsound-soundset and the patched Install

* Fri Mar 12 1999 Thomas Ribbrock <emgaron@gmx.net> [0.9.3-1]
- upgraded to 0.9.3, built with WindowMaker-0.51.1-nls-6 rpm
- added German descriptions
- fixed bug in lib/wmsnd.c

* Sun Jan 31 1999 Thomas Ribbrock <emgaron@gmx.net> [0.9.2-2]
- rebuild with WindowMaker-0.51.0 rpm

* Sat Jan 23 1999 Kjetil Wiekhorst Jrgensen <jorgens+rpm@pvv.org> [0.9.2-1]
- upgraded to version 0.9.2

* Tue Nov 10 1998 Kjetil Wiekhorst Jrgensen <jorgens+rpm@pvv.org> [0.9.0-1]
- upgraded to version 0.9.0
- minor fixes to specfile

* Sat Oct 24 1998 Kjetil Wiekhorst Jrgensen <jorgens+rpm@pvv.org> [0.8.0-1]
- upgraded to version 0.8.0

* Sun Oct 18 1998 Kjetil Wiekhorst Jrgensen <jorgens@pvv.org>
- upgraded to version 0.7.6b

* Thu Sep 10 1998 Kjetil Wiekhorst Jrgensen <jorgens@pvv.org>
- initial version

%description
Wmsound is the sound server for Window Maker, it 
currently supports 8 or 16 bit .au and .wav files.
This rpm is meant to be used with WindowMaker-0.51.1-nls-6.i386.rpm.

%description -l fr
Wmsound est le serveur de son pour Window Maker,
il supporte actuellement les fichiers son .wav/.au
8 ou 16 bit.

%description -l de
wmsound ist der Window Maker Sound Server. Zur Zeit
werden .au/.wav Files in 8 oder 16 bit untersttzt.
Dieses rpm ist zur Benutzung mit WindowMaker-0.51.2-nls-2.i386.rpm
vorgesehen.

%description -l no
Wmsound er en lydtjener for Window Maker, som for
yeblikket sttter 8 og 16 bit .wav filer.

%package data
Summary: Wmsound data
Summary(fr): Donnes de Wmsound
Summary(de): wmsound Datenfiles
Summary(no): Data til Wmsound
Group: X11/Window Managers/Tools
Requires: wmsound >= %{version}

%description data
The default wmsound soundset

%description data -l fr
Les donnes standard de Wmsound.

%description data -l de
Standard wmsound Soundset

%description data -l no
Standard datafiler til Wmsound.

%package devel
Summary: Wmsound development option
Summary(no): Utviklings bibliotek for Wmsound
Summary(de): wmsound Entwicklungsbibliothek
Group: Development/Libraries

%description devel
The Wmsound library and header file

%description devel -l no
Wmsound biblioteket samt headerfilen

%description devel -l de
wmsound Entwicklungsbibliothek und ,,header Dateien''

%prep

%setup
%patch -p1
mkdir config
cd config
tar xzf $RPM_SOURCE_DIR/wmsdefault.tar.gz

%build
xmkmf
make Makefiles
make

%install
./Install
if [ -d $RPM_BUILD_ROOT ]; then rm -r $RPM_BUILD_ROOT; fi
make install DESTDIR=$RPM_BUILD_ROOT/usr
mkdir -p $RPM_BUILD_ROOT%{wmdir}/{Sounds,SoundSets}
mkdir -p $RPM_BUILD_ROOT%{sysconfdir}
cp config/WMSound $RPM_BUILD_ROOT%{sysconfdir}
cp $RPM_SOURCE_DIR/wmsound-soundset $RPM_BUILD_ROOT%{wmdir}/SoundSets/Default
cp %{builddir}/config/Sounds/*.wav $RPM_BUILD_ROOT%{wmdir}/Sounds
strip $RPM_BUILD_ROOT/usr/X11R6/bin/*

%files
%doc AUTHORS COPYING ChangeLog NEWS
%attr(755,root,root) /usr/X11R6/bin/wmsound
%attr(755,root,root) /usr/X11R6/bin/nmaker
%attr(755,root,root) /usr/X11R6/bin/getsounds
%attr(755,root,root) /usr/X11R6/bin/setsounds

%files data
%attr(644,root,root) %config %{sysconfdir}/WMSound
%attr(755,root,root) %dir %{wmdir}/Sounds
%attr(644,root,root) %{wmdir}/Sounds/*.wav
%attr(755,root,root) %dir %{wmdir}/SoundSets
%attr(644,root,root) %config %{wmdir}/SoundSets/Default

%files devel
%attr(644,root,root) /usr/include/*.h
%attr(644,root,root) /usr/lib/*.a

%clean
rm -r $RPM_BUILD_ROOT
rm -r %{builddir}
